<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE configuration
  PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
  "http://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>

	<settings>
		<!-- 开启驼峰自动映射 -->
		<setting name="mapUnderscoreToCamelCase" value="true" />
		<!--输出mybatis执行的SQL日志-->
<!--		<setting name="logImpl" value="STDOUT_LOGGING"/>-->
		<!--懒加载配置-->
		<setting name="lazyLoadingEnabled" value="true"/>
		<setting name="aggressiveLazyLoading" value="false"/>
		<setting name="mapUnderscoreToCamelCase" value="true"/>
		
	</settings>
	<!--使用mybatis的分页插件-->
<!-- 	<plugins> -->
<!-- 	    <plugin interceptor="com.github.pagehelper.PageHelper"> -->
<!-- 	        <property name="dialect" value="mysql"/> -->
<!-- 	        该参数默认为false -->
<!-- 	        设置为true时，使用RowBounds分页会进行count查询 -->
<!-- 	        <property name="rowBoundsWithCount" value="true"/> -->
<!-- 	    </plugin> -->
<!-- 	</plugins> -->
	<plugins>
		<!-- com.github.pagehelper为PageHelper类所在包名 -->
		<plugin interceptor="com.github.pagehelper.PageInterceptor">
			<!-- 使用下面的方式配置参数，后面会有所有的参数介绍 -->
			<property name="helperDialect" value="oracle"/>
			<property name="reasonable" value="false"/>
			<property name="offsetAsPageNum" value="true"/>
			<property name="rowBoundsWithCount" value="false"/>
		</plugin>
	</plugins>
</configuration>